Loading...
Searching...
No Matches
OpenMesh::Decimater::ModHandleT< Module > Class Template Reference

Handle for mesh decimation modules. More...

`#include <OpenMesh/Tools/Decimater/ModBaseT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModHandleT< Module >:
[legend]
Collaboration diagram for OpenMesh::Decimater::ModHandleT< Module >:
[legend]

## Public Types

typedef ModHandleT< Module > | Self
typedef Module | module_type

## Public Member Functions

| ModHandleT ()
| Default constructor.
| ~ModHandleT ()
| Destructor.
bool | is_valid () const
| Check handle status.

## Friends

template<typename Mesh >
class | BaseDecimaterT

## Detailed Description

template<typename Module>
class OpenMesh::Decimater::ModHandleT< Module >

Handle for mesh decimation modules.

## Member Function Documentation

## is_valid()

template<typename Module >

bool OpenMesh::Decimater::ModHandleT< Module >::is_valid | ( |  | ) | const

inline

Check handle status.

Returns
  `true`, if handle is valid, else `false`.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Decimater/ModBaseT.hh